Package org.spongepowered.asm.mixin.injection.selectors

## Enum ITargetSelector.Configure

- java.lang.Object
- - java.lang.Enum<ITargetSelector.Configure>
  - - org.spongepowered.asm.mixin.injection.selectors.ITargetSelector.Configure

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ITargetSelector.Configure>`

Enclosing interface:
  ITargetSelector

    public static enum ITargetSelector.Configure
    extends java.lang.Enum<ITargetSelector.Configure>

Available selector reconfigurations

### Enum Constant Summary

Enum Constants
`CLEAR_LIMITS` Where supported, removes the min and max limits for the selector, allowing it to return as many or as few matches as required.
`MOVE` Where supported, changes the owner selection to the specified value.
`ORPHAN` Where supported, changes the owner selection to match all owners, retaining other properties.
`PERMISSIVE` Where supported, changes the descriptor to match all target descriptors, retaining other properties
`SELECT_INSTRUCTION` Configure this selector for matching field and method instructions in a method body.
`SELECT_MEMBER` Configure this selector for matching members in a class.
`TRANSFORM` Where supported, changes the descriptor to the specified value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `checkArgs​(java.lang.String... args)`
`static ITargetSelector.Configure` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ITargetSelector.Configure[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SELECT_MEMBER

    public static final ITargetSelector.Configure SELECT_MEMBER

Configure this selector for matching members in a class. Usually used to set defaults for match limits based on role.

#### SELECT_INSTRUCTION

    public static final ITargetSelector.Configure SELECT_INSTRUCTION

Configure this selector for matching field and method instructions in a method body. Usually used to set defaults for match limits.

#### MOVE

    public static final ITargetSelector.Configure MOVE

Where supported, changes the owner selection to the specified value.

#### ORPHAN

    public static final ITargetSelector.Configure ORPHAN

Where supported, changes the owner selection to match all owners, retaining other properties.

#### TRANSFORM

    public static final ITargetSelector.Configure TRANSFORM

Where supported, changes the descriptor to the specified value.

#### PERMISSIVE

    public static final ITargetSelector.Configure PERMISSIVE

Where supported, changes the descriptor to match all target descriptors, retaining other properties

#### CLEAR_LIMITS

    public static final ITargetSelector.Configure CLEAR_LIMITS

Where supported, removes the min and max limits for the selector, allowing it to return as many or as few matches as required.

### Method Detail

#### values

    public static ITargetSelector.Configure[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ITargetSelector.Configure c : ITargetSelector.Configure.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ITargetSelector.Configure valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### checkArgs

    public void checkArgs​(java.lang.String... args)
                   throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`